using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entidades
{
    public class Factura
    {
        public double Total { get; set; }
        public DateTime Fecha { get; set; }
        public Cliente Cliente { get; set; }
        private List<DetalleFactura> detalles = new List<DetalleFactura>();

        public void AñadirDetalle(DetalleFactura detalle)
        {
            detalles.Add(detalle);
        }

        public bool EliminarDetalle(DetalleFactura detalle)
        {
            var aeliminar = detalles.Find(x => x.Id == detalle.Id);
            if (aeliminar == null) return false;
            return detalles.Remove(aeliminar);
        }

        public ReadOnlyCollection<DetalleFactura> MostrarDetalles()
        {
            return detalles.AsReadOnly();
        }
    }
}
